Google Web Toolkit (Beta)
Search this site:

# Class String

public final class String
extends Object
implements Comparable, CharSequence
Intrinsic string class.

## Constructors

String() |
String(char[]) |
String(char[], int, int) |
String(String) |

## Methods

charAt(int) |
compareTo(Object) |
compareTo(String) |
concat(String) |
endsWith(String) |
equals(Object) |
equalsIgnoreCase(String) |
hashCode() |
indexOf(int) |
indexOf(int, int) |
indexOf(String) |
indexOf(String, int) |
lastIndexOf(int) |
lastIndexOf(int, int) |
lastIndexOf(String) |
lastIndexOf(String, int) |
length() |
matches(String) | Regular expressions vary from the standard implementation.
replace(char, char) |
replaceAll(String, String) | Regular expressions vary from the standard implementation.
replaceFirst(String, String) | Regular expressions vary from the standard implementation.
split(String) | Regular expressions vary from the standard implementation.
split(String, int) | Regular expressions vary from the standard implementation.
startsWith(String) |
startsWith(String, int) |
subSequence(int, int) |
substring(int) |
substring(int, int) |
toCharArray() |
toLowerCase() |
toString() |
toUpperCase() |
trim() |
valueOf(boolean) |
valueOf(char) |
valueOf(char[], int, int) |
valueOf(char[]) |
valueOf(double) |
valueOf(float) |
valueOf(int) |
valueOf(long) |
valueOf(Object) |